Ubuntu

No network support on Beagle XM

Reported by Tobin Davis on 2011-08-31
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Oneiric
Medium
Unassigned
Precise
Medium
Unassigned
u-boot-linaro (Ubuntu)
High
John Rigby
Oneiric
High
Unassigned
Precise
High
John Rigby

Bug Description

The Oneiric Beta 1 image fails to enable my network interface on Beagle XM. Reverting u-boot to 2011.07.2-0ubuntu1 seems to fix the problem, but only after unplugging and plugging in the ethernet cable, suggesting the ethernet port is not being powered on properly. The Natty image works fine without issue.

My beagleXM has rev B on the board, but has all of the software indications of a Rev A (including dmesg output).

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: u-boot-linaro-omap3-beagle 2011.08.6-0ubuntu1
ProcVersionSignature: User Name 3.0.0-9.14-omap 3.0.3
Uname: Linux 3.0.0-9-omap armv7l
Architecture: armel
Date: Wed Aug 31 08:48:49 2011
Dependencies:

ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
SourcePackage: u-boot-linaro
UpgradeStatus: No upgrade log present (probably fresh install)

tags: added: iso-testing
Tobin Davis (gruemaster) on 2011-08-31
summary: - No netowrk support on Beagle XM
+ No network support on Beagle XM
Oliver Grawert (ogra) wrote :

Does USB generally work otherwise ?

Tobin Davis (gruemaster) wrote :

USB works. The usb ethernet is even detected, but no link lights unless I unplug it and plug it in again. Sometimes I have to unplug it and plug it into a different cable on the same switch (like it is messing up the signal). Again, no problems with natty.

Tobin Davis (gruemaster) wrote :

To further add to this, I have taken an Oneiric Beta 1 image and reverted x-loader/u-boot to the Natty versions and it works. So not a kernel issue afaik.

Tobin Davis (gruemaster) on 2011-09-14
Changed in u-boot-linaro (Ubuntu):
importance: Undecided → High
Ricardo Salveti (rsalveti) wrote :

This but is quite weird, as it works just fine with linux-linaro-3.0, even with Oneiric (just tested wasn't able to reproduce the issue even rebooting it more than 10 times).

Can you post your dmesg to see if the interface is at least identified correctly from the kernel side? This bug could be a combination of u-boot/kernel.

Ricardo Salveti (rsalveti) wrote :

Also working fine with the ubuntu kernel for omap 3:
[ 0.000000] Linux version 3.0.0-11-omap (buildd@celbalrai) (gcc version 4.6.1 (Ubuntu/Linaro 4.6.1-9ubuntu2) ) #18-Ubuntu Tue Sep 13 23:32:30 UTC 2011 (Ubuntu 3.0.0-11.18-omap 3.0.4)
...
[ 9.214630] smsc95xx 1-2.1:1.0: eth0: register 'smsc95xx' at usb-ehci-omap.0-2.1, smsc95xx USB 2.0 Ethernet, 96:af:38:bb:2e:ed
...
[ 12.527374] smsc95xx 1-2.1:1.0: eth0: link up, 100Mbps, full-duplex, lpa 0x45E1

Can't reproduce it with my Beagleboard xM A2. Would be good if someone else could also check this bug, so we can make sure it's not hardware related.

Paolo Pisati (p-pisati) wrote :

Beagle XM rev. A1: installed Oneiric beta1 and ethernet works like a charm, i wonder if it's something rev.b related.

tags: added: rls-mgr-o-tracking
tags: added: rls-mgr-p-tracking
removed: rls-mgr-o-tracking
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in u-boot-linaro (Ubuntu Oneiric):
status: New → Confirmed
Changed in u-boot-linaro (Ubuntu):
status: New → Confirmed
Martin Schütte (mschuett) wrote :

I think I have the same problem with a "Beagle xM Rev C", using "Linux version 3.0.0-12-omap (buildd@celbalrai) (gcc version 4.6.1 (Ubuntu/Linaro 4.6.1-9ubuntu3) ) #20-Ubuntu Fri Oct 7 14:58:13 UTC 2011 (Ubuntu 3.0.0-12.20-omap 3.0.4)"

Neither the external USB ports nor the NIC is usable.
(Would it be helpful to attach the dmesg output?)

Robert Pollak (robert-pollak) wrote :

Martin, since you are on Rev C and you have no USB at all, you seem to see bug #871650.

Robert Pollak (robert-pollak) wrote :

Paolo, you duped this to bug 871650 although the symptoms are slightly different? USB generally works here, while it does not work at all there.

gruemaster, you don't see any "unable to enumerate USB device" in dmesg, do you?

Tobin Davis (gruemaster) wrote :

This is NOT a duplicate of 871650. USB enumerates fine, and I have usb keyboard/mouse. The network driver even loads. I just get no link (no LEDS, no link detected) unless I unplug->wait 5s->plug in.

Changed in u-boot-linaro (Ubuntu Precise):
importance: Undecided → Critical
Ricardo Salveti (rsalveti) wrote :

I don't think this bug is critical because it seems to be affecting only xM rev C and there's a workaround already. Moving it back to high.

John is the only one that's able to debug this issue from the Linaro side, will ping him to see if he's able to work on it.

Changed in u-boot-linaro (Ubuntu Precise):
importance: Critical → High
assignee: nobody → John Rigby (jcrigby)

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/838200

Tobin Davis (gruemaster) wrote :

Actually, making the module built-in instead of as a module has fixed this issue for me.

Attached is my kernel config diff from linux-image-3.2.0.17-omap. It includes a fix for lp:925094 as well as a few other tweaks.?field.comment=Actually, making the module built-in instead of as a module has fixed this issue for me.

Attached is my kernel config diff from linux-image-3.2.0.17-omap. It includes a fix for lp:925094 as well as a few other tweaks.

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 838200

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu Oneiric):
status: New → Incomplete

The attachment "config.diff" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-reviewers team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Tobin Davis (gruemaster) wrote :

The attached diff is not a true patch, it is just a unified diff from two kernel configs in /boot. Please ignore the bot, but the changes in the config are valid.

tags: added: bot-stop-nagging
removed: patch
Changed in linux (Ubuntu Oneiric):
status: Incomplete → Confirmed
Changed in linux (Ubuntu Precise):
status: Incomplete → Confirmed
Paolo Pisati (p-pisati) wrote :

Precise beta1 armhf (and -18.28) work fine on mine beaglexm rev c and rev a:

flag@beaglexm:~$ uname -a
Linux beaglexm 3.2.0-18-omap #28 Mon Mar 5 22:49:13 UTC 2012 armv7l armv7l armv7l GNU/Linux

flag@beaglexm:~$ dmesg | grep eth0
[ 13.109771] smsc95xx 1-2.1:1.0: eth0: register 'smsc95xx' at usb-ehci-omap.0-2.1, smsc95xx USB 2.0 Ethernet, e6:d9:fb:35:57:10
[ 24.387084] smsc95xx 1-2.1:1.0: eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
[ 33.178680] eth0: no IPv6 routers present

flag@beaglexm:~$ ifconfig eth0
eth0 Link encap:Ethernet HWaddr 00:11:22:33:44:55
          inet addr:192.168.2.181 Bcast:192.168.2.255 Mask:255.255.255.0
          inet6 addr: fe80::211:22ff:fe33:4455/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1488 Metric:1
          RX packets:110 errors:0 dropped:0 overruns:0 frame:0
          TX packets:98 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:10270 (10.2 KB) TX bytes:13857 (13.8 KB)

Paolo Pisati (p-pisati) wrote :

And i can confirm that the oneiric preinstalled image for omap3 has a broken ethernet, but upgrading the kernel to the latest one (e.g. -16.29) fixes it. Tested on a rev a and rev c beaglexm.

Tobin Davis (gruemaster) wrote :

Well, still not working here. My dmesg does not show the "smsc95xx 1-2.1:1.0: eth0: link up, 100Mbps, full-duplex, lpa 0x45E1" line.

This is with 3.2.0-18-28-omap kernel and 20120306.1 precise-preinstalled-desktop-armhf+omap.img.gz image from a cold power-on.

Tobin Davis (gruemaster) wrote :

Now this is interesting. If I let the system sit at the desktop for ~10 minutes, the network starts working. This seriously seems like either a hardware issue (capacitor not charging?) or a software issue (wrong voltage regulator config?).

Paolo Pisati (p-pisati) wrote :

Well, sounds like capacitor failure or something - lp 912199 "Wrong Beagle XM detection" shows that the network was tested on every existing beaglexm revision (a, b and c) thus i assume this behavior is an hardware fault on your side. Closing here.

Changed in linux (Ubuntu Oneiric):
status: Confirmed → Fix Released
Changed in linux (Ubuntu Precise):
status: Confirmed → Fix Released
Tobin Davis (gruemaster) wrote :

I fail to see any network test results in any of the comments in lp:912199. I am working with community members to try to reproduce this. If it can't be reproduced in the community, then I will mark it as Fix Released.

Changed in linux (Ubuntu Precise):
status: Fix Released → Incomplete
Changed in linux (Ubuntu Oneiric):
status: Fix Released → Incomplete
John Rigby (jcrigby) wrote :

marking invalid unless someone can provide instructions for reproducing

Changed in u-boot-linaro (Ubuntu Precise):
status: Confirmed → Invalid
Changed in u-boot-linaro (Ubuntu Oneiric):
status: Confirmed → Invalid
Changed in linux (Ubuntu Oneiric):
importance: Undecided → Medium
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium
Tobin Davis (gruemaster) on 2012-04-17
Changed in linux (Ubuntu Oneiric):
status: Incomplete → Confirmed
status: Confirmed → Incomplete
Allen.McIntosh (mcintosh) wrote :

I ran into this when I first installed Pangolin desktop on my xM rev C Beagleboard. Initial console messages about the adapter looked normal, but there were no lights on. After a couple of hours, ifconfig showed many packets transmitted but no packets received. I installed an outboard SMC adapter and went on my way. (The SMC adapter worked fine. The USB mouse and keyboard worked fine.)

The next time I rebooted (with power cycle) the adapter was back. LIghts blinked and packets were transmitted and received. To the best of my knowledge I didn't make any changes on the system. I tried a power cycle again with the SMC adapter disconnected this time, and the onboard adapter came back again.

For whatever it's worth, the on-board adapter worked fine in Natty earlier today.

The only other possibly relevant bit of information is that I have a USB KVM that disconnects the mouse and keyboard when I select another system. I have no idea why this should matter, but figured I should mention it.

Paolo Pisati (p-pisati) wrote :

Exactly, which natty's kernel were you using?

And do me a favor, with that kernel please do a 20 (yes, twenty) kernel reboots in a row: did the nic always come up?

I'm trying to narrow down the window breakage so i can start investigating.

Moreover, which x-Loader/u-boot are you running in both cases?

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu Oneiric):
status: Incomplete → Confirmed
Changed in linux (Ubuntu Precise):
status: Incomplete → Confirmed
dino99 (9d9) on 2013-05-18
tags: added: precise
removed: oneiric
Julian Wiedmann (jwiedmann) wrote :

This release has reached end-of-life [0].

[0] https://wiki.ubuntu.com/Releases

Changed in linux (Ubuntu Oneiric):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers